Quick Start
Quickly get started with the Sprinto Developer API by generating an API key, exploring the GraphQL schema, and making your first authenticated API request.
Last updated
https://app.sprinto.com/dev-api/graphqlcurl 'https://app.sprinto.com/dev-api/graphql' \
-H 'api-key: <your-api-key>' \
-H 'content-type: application/json' \
--data-raw '{
"query": "query ExampleQuery { hello }",
"variables": {},
"operationName": "ExampleQuery"
}'pip install requests
import requests
url = "https://app.sprinto.com/dev-api/graphql"
api_key = "<your-api-key>"
headers = {
"api-key": api_key,
"content-type": "application/json"
}
data = {
"query": "query ExampleQuery { hello }",
"variables": {},
"operationName": "ExampleQuery"
}
response = requests.post(url, json=data, headers=headers)
if response.status_code == 200:
print("Response:")
print(response.json())
else:
print(f"Request failed with status code {response.status_code}")
print(response.text)npm install axios
const axios = require('axios');
const url = 'https://app.sprinto.com/dev-api/graphql';
const apiKey = '<your-api-key>';
const headers = {
'api-key': apiKey,
'content-type': 'application/json',
};
const data = {
query: 'query ExampleQuery { hello }',
variables: {},
operationName: 'ExampleQuery',
};
axios.post(url, data, { headers })
.then(response => {
console.log('Response:', response.data);
})
.catch(error => {
console.error(
'Request failed with status code',
error.response?.status
);
console.error(error.response?.data);
});{
"data": {
"hello": "Hello world"
}
}